drill-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "ASF GitHub Bot (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (DRILL-5876) Remove netty-tcnative inclusion in java-exec/pom.xml
Date Fri, 13 Oct 2017 17:36:00 GMT

    [ https://issues.apache.org/jira/browse/DRILL-5876?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=16203909#comment-16203909
] 

ASF GitHub Bot commented on DRILL-5876:
---------------------------------------

GitHub user parthchandra opened a pull request:

    https://github.com/apache/drill/pull/991

    DRILL-5876: Remove netty-tcnative dependency from java-exec/pom.xml

    Commented out the netty-tcnative dependency. Tested build on command line, intellij. Ran
unit tests.
    @paul-rogers, @vrozov  Can you guys please review?


You can merge this pull request into a Git repository by running:

    $ git pull https://github.com/parthchandra/drill DRILL-5876

Alternatively you can review and apply these changes as the patch at:

    https://github.com/apache/drill/pull/991.patch

To close this pull request, make a commit to your master/trunk branch
with (at least) the following in the commit message:

    This closes #991
    
----
commit 9bf86429958f2e04843dc91322f3f75d9e34fde3
Author: Parth Chandra <parthc@apache.org>
Date:   2017-10-13T17:29:31Z

    DRILL-5876: Remove netty-tcnative dependency from java-exec/pom.xml

----


> Remove netty-tcnative inclusion in java-exec/pom.xml
> ----------------------------------------------------
>
>                 Key: DRILL-5876
>                 URL: https://issues.apache.org/jira/browse/DRILL-5876
>             Project: Apache Drill
>          Issue Type: Bug
>            Reporter: Parth Chandra
>
> The inclusion of netty-tcnative is causing all kinds of problems. The os specific classifier
 required is determined by a maven extension which in turn requires an additional eclipse
plugin. The eclipse plugin has a problem that may corrupt the current workspace.
> It is safe to not include the dependency since it is required only at runtime. The only
case in which this is required is when a developer has to debug SSL/OpenSSL issues in the
Java client or the server when launching from within an IDE. In this case, the dependency
can be enabled by uncommenting the relevant lines in the pom file.



--
This message was sent by Atlassian JIRA
(v6.4.14#64029)

Mime
View raw message